Bug 73191 - JS_INLINE and WTF_INLINE should be visible from WebCore
: JS_INLINE and WTF_INLINE should be visible from WebCore
Status: RESOLVED FIXED
: WebKit
Platform
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 67852
  Show dependency treegraph
 
Reported: 2011-11-27 23:33 PST by
Modified: 2011-12-14 20:29 PST (History)


Attachments
Patch (10.90 KB, patch)
2011-11-28 02:49 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (23.43 KB, patch)
2011-11-29 01:14 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (23.99 KB, patch)
2011-11-29 01:29 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (24.14 KB, patch)
2011-11-29 02:18 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (40.75 KB, patch)
2011-11-30 02:01 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (40.83 KB, patch)
2011-11-30 23:12 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (42.00 KB, patch)
2011-12-01 04:00 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch for landing (42.09 KB, patch)
2011-12-01 20:35 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (46.87 KB, patch)
2011-12-12 23:31 PST, Kevin Ollivier
no flags Review Patch | Details | Formatted Diff | Diff
Patch (47.05 KB, patch)
2011-12-13 00:06 PST, Kevin Ollivier
no flags Review Patch | Details | Formatted Diff | Diff
Patch (47.15 KB, patch)
2011-12-14 09:29 PST, Kevin Ollivier
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-27 23:33:02 PST
http://trac.webkit.org/changeset/101198 introduced JS_INLINE and WTF_INLINE
but changing JavaScriptCore/config.h was not sufficient.
------- Comment #1 From 2011-11-28 02:49:05 PST -------
Created an attachment (id=116720) [details]
Patch
------- Comment #2 From 2011-11-28 03:03:23 PST -------
(From update of attachment 116720 [details])
It seems like a layering violation for WTF to be providing JSC-specific macros.
------- Comment #3 From 2011-11-28 08:46:15 PST -------
(In reply to comment #2)
> (From update of attachment 116720 [details] [details])
> It seems like a layering violation for WTF to be providing JSC-specific macros.

I agree, though like Hajime I'd like to see us get away from defining the various WTF, JS and WebCore export macros in every library that includes headers from them. Perhaps the best idea is to have each library have its own WTFMacros.h, JSMacros.h, etc. that includes wtf/ExportMacros.h and then defines the library-specific ones like JS_EXPORTDATA / CLASS / _PRIVATE. 

One thing, though, is that this consolidation of macros into a single header might be easier to do once all ports are using the export macros, so I'm not sure if we should tackle it now or just add the macros to the various config.h files (as was done for the previous macros like JS_EXPORTDATA, etc.) and then have the macro consolidation as a separate bug that we make a blocker of the master bug.

Thoughts?
------- Comment #4 From 2011-11-29 01:14:01 PST -------
Created an attachment (id=116917) [details]
Patch
------- Comment #5 From 2011-11-29 01:18:09 PST -------
Kevin, Mark, thanks for your feedback!

(In reply to comment #2)
> (From update of attachment 116720 [details] [details])
> It seems like a layering violation for WTF to be providing JSC-specific macros.

This makes sense.
So I extracted JSC specific part to JSExportMacros.h and WebKit prefixed ones to PlatformExportMacros.h.

Actually this looks unexpectedly better than original one.
I originally thought same as Kevin, but the this patch looks natural for me.

Note that the style error is false positive. inclusion order matters there.
------- Comment #6 From 2011-11-29 01:29:23 PST -------
Created an attachment (id=116919) [details]
Patch
------- Comment #7 From 2011-11-29 01:31:50 PST -------
Attachment 116919 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/JavaScriptCore/config.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 4 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #8 From 2011-11-29 01:42:08 PST -------
(From update of attachment 116919 [details])
Attachment 116919 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10683111
------- Comment #9 From 2011-11-29 01:58:21 PST -------
(From update of attachment 116919 [details])
Attachment 116919 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10682291
------- Comment #10 From 2011-11-29 02:18:53 PST -------
Created an attachment (id=116929) [details]
Patch
------- Comment #11 From 2011-11-29 02:22:00 PST -------
Attachment 116929 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 3 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #12 From 2011-11-29 02:33:46 PST -------
(From update of attachment 116929 [details])
Attachment 116929 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10685058
------- Comment #13 From 2011-11-29 02:42:47 PST -------
(From update of attachment 116929 [details])
Attachment 116929 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10679573
------- Comment #14 From 2011-11-30 02:01:41 PST -------
Created an attachment (id=117147) [details]
Patch
------- Comment #15 From 2011-11-30 02:06:48 PST -------
Attachment 117147 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/WebKit2/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:6:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:74:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:75:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:76:  Alphabetical sorting problem.  [build/include_order] [4]
Tools/DumpRenderTree/chromium/config.h:46:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:55:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:56:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:57:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:58:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:59:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:60:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:61:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 16 in 30 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #16 From 2011-11-30 02:22:13 PST -------
(From update of attachment 117147 [details])
Attachment 117147 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10687140
------- Comment #17 From 2011-11-30 23:12:23 PST -------
Created an attachment (id=117349) [details]
Patch
------- Comment #18 From 2011-11-30 23:15:53 PST -------
Attachment 117349 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/WebKit2/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:6:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:74:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:75:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:76:  Alphabetical sorting problem.  [build/include_order] [4]
Tools/DumpRenderTree/chromium/config.h:46:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:55:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:56:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:57:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:58:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:59:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:60:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:61:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 16 in 30 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #19 From 2011-11-30 23:32:08 PST -------
(From update of attachment 117349 [details])
Attachment 117349 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10704510
------- Comment #20 From 2011-12-01 04:00:44 PST -------
Created an attachment (id=117393) [details]
Patch
------- Comment #21 From 2011-12-01 04:03:58 PST -------
Attachment 117393 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/WebKit2/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:6:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:74:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:75:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:76:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/ChangeLog:8:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
Tools/DumpRenderTree/chromium/config.h:46:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:55:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:56:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:57:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:58:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:59:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:60:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:61:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 17 in 32 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #22 From 2011-12-01 17:59:38 PST -------
Mark, Kevin, could you take a look?

I think the patch is finally ready to review:
The style error is false positive, bots have become green.

This patch is a refactoring essentially.
What I did is extract duplicate macro definitions in various config.h files 
to shared ExportMacros.h/JSExportMacros.h/PlatformExportMacros.h header files.
------- Comment #23 From 2011-12-01 18:38:19 PST -------
(From update of attachment 117393 [details])
Rejecting attachment 117393 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/10725140
------- Comment #24 From 2011-12-01 20:35:39 PST -------
Created an attachment (id=117554) [details]
Patch for landing
------- Comment #25 From 2011-12-01 23:33:56 PST -------
(From update of attachment 117554 [details])
Clearing flags on attachment: 117554

Committed r101751: <http://trac.webkit.org/changeset/101751>
------- Comment #26 From 2011-12-01 23:34:02 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #27 From 2011-12-02 03:41:51 PST -------
Reverted r101751 for reason:

breaks Windows build

Committed r101778: <http://trac.webkit.org/changeset/101778>
------- Comment #28 From 2011-12-12 23:31:05 PST -------
Created an attachment (id=118962) [details]
Patch
------- Comment #29 From 2011-12-12 23:31:57 PST -------
This is the same patch as Hajime's except with the added Windows build fixes. I'll land if it now passes all the EWS bots.
------- Comment #30 From 2011-12-12 23:32:57 PST -------
Attachment 118962 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/WebKit2/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Tools/DumpRenderTree/ForwardingHeaders/runtime/JSExportMacros.h:1:  Could not find a newline character at the end of the file.  [whitespace/ending_newline] [5]
Source/JavaScriptGlue/config.h:6:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:74:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:75:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:76:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/ChangeLog:10:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
Tools/DumpRenderTree/chromium/config.h:46:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:55:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:56:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:57:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:58:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:59:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:60:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:61:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 18 in 36 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #31 From 2011-12-12 23:41:45 PST -------
(From update of attachment 118962 [details])
Attachment 118962 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10846250
------- Comment #32 From 2011-12-12 23:48:29 PST -------
(From update of attachment 118962 [details])
Attachment 118962 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/10848274
------- Comment #33 From 2011-12-12 23:51:02 PST -------
(From update of attachment 118962 [details])
Attachment 118962 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10846251
------- Comment #34 From 2011-12-13 00:06:40 PST -------
Created an attachment (id=118965) [details]
Patch
------- Comment #35 From 2011-12-13 00:09:48 PST -------
Attachment 118965 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/WebKit2/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Tools/DumpRenderTree/ForwardingHeaders/runtime/JSExportMacros.h:1:  Could not find a newline character at the end of the file.  [whitespace/ending_newline] [5]
Source/JavaScriptGlue/config.h:6:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:74:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:75:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:76:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/ChangeLog:10:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
Tools/DumpRenderTree/chromium/config.h:46:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:55:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:56:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:57:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:58:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:59:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:60:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:61:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 18 in 36 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #36 From 2011-12-14 09:29:50 PST -------
Created an attachment (id=119234) [details]
Patch
------- Comment #37 From 2011-12-14 09:33:23 PST -------
Attachment 119234 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source..." exit_code: 1

Source/WebKit2/config.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
Tools/DumpRenderTree/ForwardingHeaders/runtime/JSExportMacros.h:1:  Could not find a newline character at the end of the file.  [whitespace/ending_newline] [5]
Source/JavaScriptGlue/config.h:6:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptGlue/config.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/platform/PlatformExportMacros.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:74:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:75:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/mac/WebKitPrefix.h:76:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/ChangeLog:10:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
Tools/DumpRenderTree/chromium/config.h:46:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:55:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:56:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:57:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:58:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:59:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:60:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/wtf/text/StringStatics.cpp:61:  DEFINE_GLOBAL is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/JavaScriptCore/runtime/JSExportMacros.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 18 in 36 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #38 From 2011-12-14 16:51:59 PST -------
(From update of attachment 119234 [details])
Clearing flags on attachment: 119234

Committed r102849: <http://trac.webkit.org/changeset/102849>
------- Comment #39 From 2011-12-14 16:52:06 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #40 From 2011-12-14 18:43:30 PST -------
Please make sure that you don’t set the svn:executable property on files unnecessarily. It can cause build failures in some environments.
------- Comment #41 From 2011-12-14 20:29:27 PST -------
(In reply to comment #40)
> Please make sure that you don’t set the svn:executable property on files unnecessarily. It can cause build failures in some environments.

Sorry, it was not intentional, but I will be sure to double-check this in the future. Thanks for fixing it!